import Flutter
import UIKit

public class SwiftEyeBlinkDetectionPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "eye_blink_detection", binaryMessenger: registrar.messenger())
    let instance = SwiftEyeBlinkDetectionPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult)
  {
    if call.method == "getPlatformVersion" {
        result("iOS " + UIDevice.current.systemVersion)
    } else if call.method == "eyeBlinkDetection" {
        let vc = UIStoryboard.init(name: "Main", bundle: Bundle.main).instantiateViewController(withIdentifier: "ObjectVC") as? ObjectVC
        self.navigationController?.pushViewController(vc!, animated: true)
    }

  }
}
